APIs / Dice / Search

Dice: Search

Search from Dice as JSON. 1 credit per successful call.

GET /v1/dice/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
querystringRequiredUp to 200 characters
locationstringOptionalUp to 100 characters
radiusintegerOptionalAny
employment_type[]list of stringOptionalFULLTIME, PARTTIME, CONTRACTS, THIRD_PARTY
workplace_type[]list of stringOptionalRemote, On-Site, Hybrid
posted_datestringOptionalONE, THREE, SEVEN
easy_applybooleanOptionalAny
willing_to_sponsorbooleanOptionalAny
pageintegerOptionalAny
limitintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/dice/search?query=python&location=Austin%2C+TX&employment_type[]=FULLTIME&workplace_type[]=Remote&limit=5" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.